Skip to main content
`Ctrl`+`K`

# PCBDDCGetPrimalVerticesIS

Get user defined primal vertices set with `PCBDDCSetPrimalVerticesIS()`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetPrimalVerticesIS(PC pc, IS *is)

Collective

## Input Parameter

- pc - the preconditioning context

## Output Parameter

- is - index set of primal vertices in global numbering (`NULL` if not set)

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetPrimalVerticesIS()`, `PCBDDCSetPrimalVerticesLocalIS()`, `PCBDDCGetPrimalVerticesLocalIS()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCGetPrimalVerticesIS_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages